Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HiveServerCorePlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HiveServerCorePlugin.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HiveServerCorePlugin.cs	(revision 4091)
@@ -26,14 +26,14 @@
 
 namespace HeuristicLab.Hive.Server {
-  [Plugin("HeuristicLab.Hive.Server.Core-3.3")]
+  [Plugin("HeuristicLab.Hive.Server.Core", "3.3")]
   [PluginFile("HeuristicLab.Hive.Server.Core-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.3")]
-  [PluginDependency("HeuristicLab.DataAccess-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Contracts-3.3")]
-  [PluginDependency("HeuristicLab.Hive.JobBase-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Server.DataAccess-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Server.LINQDataAccess-3.3")]
-  [PluginDependency("HeuristicLab.Security.Contracts-3.3")]
-  [PluginDependency("HeuristicLab.Tracing", "3.3.0")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.JobBase", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Server.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Server.LINQDataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Security.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Tracing", "3.3")]
   public class HiveServerCorePlugin : PluginBase {
   }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Properties/AssemblyInfo.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Properties/AssemblyInfo.cs	(revision 4091)
@@ -55,5 +55,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.3.0.4077")]
-[assembly: AssemblyFileVersion("3.3.0.4077")]
-[assembly: AssemblyBuildDate("2010/07/22 13:53:39")]
+[assembly: AssemblyVersion("3.3.0.4078")]
+[assembly: AssemblyFileVersion("3.3.0.4078")]
+[assembly: AssemblyBuildDate("2010/07/23 09:04:35")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/HiveServerDataAccessPlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/HiveServerDataAccessPlugin.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.DataAccess/3.3/HiveServerDataAccessPlugin.cs	(revision 4091)
@@ -26,9 +26,9 @@
 
 namespace HeuristicLab.Hive.DataAccess {
-  [Plugin("HeuristicLab.Hive.Server.DataAccess-3.3")]
+  [Plugin("HeuristicLab.Hive.Server.DataAccess", "3.3")]
   [PluginFile("HeuristicLab.Hive.Server.DataAccess-3.3.dll", PluginFileType.Assembly)]  
-  [PluginDependency("HeuristicLab.Core-3.3")]
-  [PluginDependency("HeuristicLab.DataAccess-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Contracts-3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
   public class HiveServerDataAccessPlugin : PluginBase {
   }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLab.Hive.Server.LINQDataAccess-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLab.Hive.Server.LINQDataAccess-3.3.csproj	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/HeuristicLab.Hive.Server.LINQDataAccess-3.3.csproj	(revision 4091)
@@ -125,4 +125,8 @@
   </ItemGroup>
   <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.DataAccess\3.3\HeuristicLab.DataAccess-3.3.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Hive.Contracts\3.3\HeuristicLab.Hive.Contracts-3.3.csproj">
       <Project>{134F93D7-E7C8-4ECD-9923-7F63259A60D8}</Project>
@@ -138,5 +142,4 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="app.config" />
     <None Include="Properties\Settings.settings">
       <Generator>SettingsSingleFileGenerator</Generator>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/LINQDataAccessPlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/LINQDataAccessPlugin.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/LINQDataAccessPlugin.cs	(revision 4091)
@@ -6,10 +6,10 @@
 
 namespace HeuristicLab.Hive.Server.LINQDataAccess {
-  [Plugin("HeuristicLab.Hive.Server.LINQDataAccess-3.3")]
+  [Plugin("HeuristicLab.Hive.Server.LINQDataAccess", "3.3")]
   [PluginFile("HeuristicLab.Hive.Server.LINQDataAccess-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Contracts-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Server.DataAccess-3.3")]
-  [PluginDependency("HeuristicLab.Tracing", "3.3.0")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Contracts", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Server.DataAccess", "3.3")]
+  [PluginDependency("HeuristicLab.Tracing", "3.3")]
   public class LINQDataAccessPlugin: PluginBase {
   }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Scheduler/3.3/HeuristicLab.Hive.Server.Scheduler-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Scheduler/3.3/HeuristicLab.Hive.Server.Scheduler-3.3.csproj	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Scheduler/3.3/HeuristicLab.Hive.Server.Scheduler-3.3.csproj	(revision 4091)
@@ -93,5 +93,4 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="DefaultScheduler.cs" />
     <Compile Include="HiveServerSchedulerPlugin.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
@@ -105,4 +104,8 @@
       <Project>{5CDACE54-5FB2-4344-A21C-963F63CB7C2B}</Project>
       <Name>HeuristicLab.DataAccess.ADOHelper-3.3</Name>
+    </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.DataAccess\3.3\HeuristicLab.DataAccess-3.3.csproj">
+      <Project>{9076697B-C151-46CD-95BC-1D059492B478}</Project>
+      <Name>HeuristicLab.DataAccess-3.3</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Hive.Contracts\3.3\HeuristicLab.Hive.Contracts-3.3.csproj">
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Scheduler/3.3/HiveServerSchedulerPlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Scheduler/3.3/HiveServerSchedulerPlugin.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Scheduler/3.3/HiveServerSchedulerPlugin.cs	(revision 4091)
@@ -26,8 +26,8 @@
 
 namespace HeuristicLab.Hive.Server {
-  [Plugin("HeuristicLab.Hive.Server.Scheduler-3.3")]
+  [Plugin("HeuristicLab.Hive.Server.Scheduler", "3.3")]
   [PluginFile("HeuristicLab.Hive.Server.Scheduler-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.3")]
-  [PluginDependency("HeuristicLab.Hive.Server-3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
+  [PluginDependency("HeuristicLab.Hive.Server", "3.3")]
   public class HiveServerSchedulerPlugin : PluginBase {
   }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HiveServerApplication.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HiveServerApplication.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HiveServerApplication.cs	(revision 4091)
@@ -165,4 +165,5 @@
       baseAddrDict.Add(STR_ExecutionEngineFacade, StartService(Services.ExecutionEngineFacade, addresses[index], WcfSettings.DEFAULTPORT));
 
+      // [chn] why is lifecyclemanager instantiated here?? shouldnt Core.ServiceLocator be used?
       IEnumerable<ILifecycleManager> lifecycleManagers = ApplicationManager.Manager.GetInstances<ILifecycleManager>();
       if (lifecycleManagers.Count() > 0) {
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/ServiceCallInterception.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/ServiceCallInterception.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/ServiceCallInterception.cs	(revision 4091)
@@ -38,14 +38,12 @@
       Object obj = null;
 
-      Object[] attributes = invocation.Method.GetCustomAttributes(typeof (SpringTransaction), true);
+      Object[] attributes = invocation.Method.GetCustomAttributes(typeof(SpringTransaction), true);
       foreach (Object o in attributes) {
-        SpringTransaction st = (SpringTransaction) o;
+        SpringTransaction st = (SpringTransaction)o;
         userTransaction = st.UserTransaction;
       }
       if (UseTransactions && !userTransaction) {
         using (
-          TransactionScope scope = new TransactionScope(TransactionScopeOption.Required,
-                                                        new TransactionOptions
-                                                        {IsolationLevel = ApplicationConstants.ISOLATION_LEVEL_SCOPE})) {
+          TransactionScope scope = new TransactionScope(TransactionScopeOption.Required, new TransactionOptions { IsolationLevel = ApplicationConstants.ISOLATION_LEVEL_SCOPE })) {
           try {
             Logger.Debug("Current Transaction Isolation level is: " + Transaction.Current.IsolationLevel);
@@ -64,6 +62,5 @@
           }
         }
-      }
-      else {
+      } else {
         try {
           obj = invocation.Proceed();
@@ -79,13 +76,11 @@
         }
       }
-      //}       
+   
       TimeSpan ts = DateTime.Now - start;
       if (ts.Seconds > 2) {
         Logger.Warn("Invocation took: " + ts);
-      }
-      else if (ts.Seconds > 10) {
+      } else if (ts.Seconds > 10) {
         Logger.Error("Invocation took: " + ts);
-      }
-      else {
+      } else {
         Logger.Info("Invocation took: " + ts);
         ;
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/HeuristicLab.Hive-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/HeuristicLab.Hive-3.3.csproj	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/HeuristicLab.Hive-3.3.csproj	(revision 4091)
@@ -23,4 +23,5 @@
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
+    <CodeAnalysisRuleSet>AllRules.ruleset</CodeAnalysisRuleSet>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
@@ -33,5 +34,5 @@
   </PropertyGroup>
   <PropertyGroup>
-    <RunPostBuildEvent>Always</RunPostBuildEvent>
+    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
   </PropertyGroup>
   <PropertyGroup>
@@ -58,8 +59,11 @@
   <ItemGroup />
   <ItemGroup>
+    <None Include="app.config" />
     <None Include="CopyAssemblies.cmd" />
     <None Include="CustomPostBuild.cmd" />
     <None Include="CustomPostBuildTemplate_UpdateLocalInstallation.cmd" />
-    <None Include="HeuristicLab 3.3.exe.config" />
+    <None Include="HeuristicLab 3.3.exe.config">
+      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
+    </None>
     <None Include="HeuristicLab.snk" />
     <None Include="MergeConfigs.cmd" />
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/HeuristicLab.Hive-3.3.csproj.user
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/HeuristicLab.Hive-3.3.csproj.user	(revision 4091)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/HeuristicLab.Hive-3.3.csproj.user	(revision 4091)
@@ -0,0 +1,7 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|AnyCPU'">
+    <StartAction>Program</StartAction>
+    <StartProgram>C:\Programme\HeuristicLab 3.3\HeuristicLab 3.3.exe</StartProgram>
+  </PropertyGroup>
+</Project>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/MergeConfigs.cmd	(revision 4091)
@@ -1,3 +1,3 @@
-ConfigMerger "%SolutionDir%\HeuristicLab.Hive\3.3\HeuristicLab 3.3.exe.config" "HeuristicLab 3.3.exe.config"
+ConfigMerger "%SolutionDir%HeuristicLab.Hive.Server\3.3\app.config" "HeuristicLab.Hive-3.3.dll.config"
 
-;ConfigMerger "%SolutionDir%\HeuristicLab.PluginInfrastructure\3.3\%Outdir%\HeuristicLab.PluginInfrastructure-3.3.dll.config" "HeuristicLab 3.3.exe.config"
+ConfigMerger "HeuristicLab.Hive-3.3.dll.config" "HeuristicLab 3.3.exe.config"
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Properties/AssemblyInfo.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Properties/AssemblyInfo.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive/3.3/Properties/AssemblyInfo.cs	(revision 4091)
@@ -51,4 +51,4 @@
 //      Revision
 //
-[assembly: AssemblyVersion("3.3.0.4077")]
-[assembly: AssemblyFileVersion("3.3.0.4077")]
+[assembly: AssemblyVersion("3.3.0.4078")]
+[assembly: AssemblyFileVersion("3.3.0.4078")]
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Security.Contracts/3.3/SecurityContractsPlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Security.Contracts/3.3/SecurityContractsPlugin.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Security.Contracts/3.3/SecurityContractsPlugin.cs	(revision 4091)
@@ -26,7 +26,7 @@
 
 namespace HeuristicLab.Security.Contracts {
-  [Plugin("HeuristicLab.Security.Contracts-3.3")]
+  [Plugin("HeuristicLab.Security.Contracts", "3.3")]
   [PluginFile("HeuristicLab.Security.Contracts-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
   public class SecurityContractsPlugin : PluginBase {
   }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Security.Core/3.3/HeuristicLab.Security.Core-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Security.Core/3.3/HeuristicLab.Security.Core-3.3.csproj	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Security.Core/3.3/HeuristicLab.Security.Core-3.3.csproj	(revision 4091)
@@ -124,5 +124,4 @@
   </ItemGroup>
   <ItemGroup>
-    <None Include="app.config" />
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.frame" />
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Security.Core/3.3/SecurityCorePlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Security.Core/3.3/SecurityCorePlugin.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Security.Core/3.3/SecurityCorePlugin.cs	(revision 4091)
@@ -26,7 +26,7 @@
 
 namespace HeuristicLab.Security.Core {
-  [Plugin("HeuristicLab.Security.Core-3.3")]
+  [Plugin("HeuristicLab.Security.Core", "3.3")]
   [PluginFile("HeuristicLab.Security.Core-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
   public class SecurityCorePlugin : PluginBase {
   }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Security.DataAccess/3.3/SecurityDataAccessPlugin.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Security.DataAccess/3.3/SecurityDataAccessPlugin.cs	(revision 4090)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Security.DataAccess/3.3/SecurityDataAccessPlugin.cs	(revision 4091)
@@ -26,7 +26,7 @@
 
 namespace HeuristicLab.Security.DataAccess {
-  [Plugin("HeuristicLab.Security.DataAccess-3.3")]
+  [Plugin("HeuristicLab.Security.DataAccess", "3.3")]
   [PluginFile("HeuristicLab.Security.DataAccess-3.3.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.Core-3.3")]
+  [PluginDependency("HeuristicLab.Core", "3.3")]
   public class SecurityDataAccessPlugin : PluginBase {
   }
